org.apache.sling.caconfig.bndplugin

## Class ConfigurationClassScannerPlugin

- java.lang.Object
- - org.apache.sling.caconfig.bndplugin.ConfigurationClassScannerPlugin

All Implemented Interfaces:
  aQute.bnd.service.AnalyzerPlugin, aQute.bnd.service.Plugin

    public class ConfigurationClassScannerPlugin
    extends Object
    implements aQute.bnd.service.AnalyzerPlugin, aQute.bnd.service.Plugin

Scans the classpath of the bundle for annotation classes with the "Configuration" annotation from the Sling Context-Aware Configuraiton API. All class names found are stored in a bundle header for processing them at runtime and reading their metadata.

### Constructor Summary

Constructors
Constructor and Description
`ConfigurationClassScannerPlugin()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `analyzeJar(aQute.bnd.osgi.Analyzer analyzer)`
`void` `setProperties(Map<String,String> map)`
`void` `setReporter(aQute.service.reporter.Reporter reporter)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConfigurationClassScannerPlugin

    public ConfigurationClassScannerPlugin()

### Method Detail

#### setProperties

    public void setProperties(Map<String,String> map)
                       throws Exception

Specified by:
  `setProperties` in interface `aQute.bnd.service.Plugin`
Throws:
  `Exception`

#### setReporter

    public void setReporter(aQute.service.reporter.Reporter reporter)

Specified by:
  `setReporter` in interface `aQute.bnd.service.Plugin`

#### analyzeJar

    public boolean analyzeJar(aQute.bnd.osgi.Analyzer analyzer)
                       throws Exception

Specified by:
  `analyzeJar` in interface `aQute.bnd.service.AnalyzerPlugin`
Throws:
  `Exception`